#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%bcond		test		0
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
%define		nname		%(echo %{name} | cut -d '-' -f2,3 | tr -s '-' '_')
#-----------------------------------------------------------------------------
Name		:	python-flit-core
Version		:	3.9.0
Release		:	17.2.0.rel%{?dist}
Summary		:	A PEP 517 build backend for packages using Flit

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD-3
URL		:	https://github.com/pypa/flit

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python3
BuildRequires	:	python-build
BuildRequires	:	python-wheel

%if %{with test}
%endif

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
This provides a PEP 517 build backend for packages using Flit.
The only public interface is the API specified by PEP 517,
at flit_core.buildapi.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{python3_sitelib}/%{nname}/*.py
%{python3_sitelib}/%{nname}/__pycache__/*.pyc
%{python3_sitelib}/%{nname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

pushd flit_core
%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%if %{with test}
pushd flit_core
pytest -vv
popd
%endif

	
#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

pushd flit_core
%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

popd

# remove tests
%{__rm} -r						\
	%{buildroot}%{python3_sitelib}/%{nname}/tests
# remove vendored tomli
%{__rm} -r						\
	%{buildroot}%{python3_sitelib}/%{nname}/vendor

#-----------------------------------------------------------------------------
%changelog
